Source: haskell-acid-state
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-cereal-dev (>= 0.4.1.0),
 libghc-cereal-prof,
 libghc-filelock-dev,
 libghc-filelock-prof,
 libghc-network-dev (<< 3.2),
 libghc-network-prof,
 libghc-network-bsd-dev,
 libghc-network-bsd-prof,
 libghc-safecopy-dev (>= 0.6),
 libghc-safecopy-dev (<< 0.11),
 libghc-safecopy-prof,
 libghc-th-expand-syns-dev,
 libghc-th-expand-syns-prof,
Build-Depends-Indep: ghc-doc,
 libghc-cereal-doc,
 libghc-filelock-doc,
 libghc-network-doc,
 libghc-network-bsd-doc,
 libghc-safecopy-doc,
 libghc-th-expand-syns-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/acid-state/acid-state
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-acid-state
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-acid-state]

Package: libghc-acid-state-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell database library with ACID guarantees - GHC libraries${haskell:ShortBlurb}
 AcidState is a Haskell library to store serializable Haskell
 structures, guaranteeing that transactions support the ACID
 semantic. That is, they must be atomic (a transaction must be
 completely saved or completely rolled back), consistent (after each
 transaction the state of the database must be valid), isolated (two
 parallel transaction must not interfere with each other) and durable
 (a successful transaction must be reliably stored to a persistent
 memory).
 .
 This library supports both storing data on the local disk and via a
 network server.
 .
 ${haskell:Blurb} It
 obsoletes the package haskell-happstack-state.

Package: libghc-acid-state-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: Haskell database library with ACID guarantees - GHC profiling libraries${haskell:ShortBlurb}
 AcidState is a Haskell library to store serializable Haskell
 structures, guaranteeing that transactions support the ACID
 semantic. That is, they must be atomic (a transaction must be
 completely saved or completely rolled back), consistent (after each
 transaction the state of the database must be valid), isolated (two
 parallel transaction must not interfere with each other) and durable
 (a successful transaction must be reliably stored to a persistent
 memory).
 .
 This library supports both storing data on the local disk and via a
 network server.
 .
 ${haskell:Blurb} It obsoletes the package
 haskell-happstack-state.

Package: libghc-acid-state-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: Haskell database library with ACID guarantees - documentation${haskell:ShortBlurb}
 AcidState is a Haskell library to store serializable Haskell
 structures, guaranteeing that transactions support the ACID
 semantic. That is, they must be atomic (a transaction must be
 completely saved or completely rolled back), consistent (after each
 transaction the state of the database must be valid), isolated (two
 parallel transaction must not interfere with each other) and durable
 (a successful transaction must be reliably stored to a persistent
 memory).
 .
 This library supports both storing data on the local disk and via a
 network server.
 .
 ${haskell:Blurb} It obsoletes the package
 haskell-happstack-state.
